org.apache.hadoop.hdfs.federation.protocol.proto

## Interface HdfsServerFederationProtos.LeaveSafeModeResponseProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    HdfsServerFederationProtos.LeaveSafeModeResponseProto, HdfsServerFederationProtos.LeaveSafeModeResponseProto.Builder
  Enclosing class:
    HdfsServerFederationProtos

      public static interface HdfsServerFederationProtos.LeaveSafeModeResponseProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getStatus()` `optional bool status = 1;`
    `boolean` | `hasStatus()` `optional bool status = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasStatus

          boolean hasStatus()

      `optional bool status = 1;`

    - #### getStatus

          boolean getStatus()

      `optional bool status = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.